module Ecoportal
  module API
    class V2
      class Page
        class Component
          class ChartFrField < Page::Component
            passthrough :register_id, :date_input
            passthrough :filter

            passboolean :facet_by_tag, :facet_by_select
            passarray   :facet_tags
            passthrough :select_input, :select_mapping

            passboolean :relative, :bounded
            passthrough :relstart, :relbound
            passthrough :ubound, :lbound

            passthrough :display_mode, :display_type
            passarray   :guidelines
            passboolean :cumulative
            passthrough :cumulative_mode, :cumulative_start
            passthrough :multiplier, :granularity

            passthrough :color
            passarray   :color_map, order_matters: false

            passthrough :chart_user

          end
        end
      end
    end
  end
end
