module Ecoportal
  module API
    class V2
      class Page
        class Component
          class File < Common::Content::DoubleModel
            class << self
              def new_doc
                {
                  "id"         => new_uuid,
                  "position"   => 99
                }
              end
            end

            passkey     :id
            passforced  :patch_ver, default: 1
            passthrough :position
            passthrough :file_size, :content_type, :token, read_only: true
            passthrough :file_container_id
            passdate    :file_update_at, read_only: true
          end
        end
      end
    end
  end
end
