module Ecoportal
  module API
    class V2
      class Registers
        class PageResult < Common::Content::DoubleModel
          passkey     :id
          passthrough :template_id
          passthrough :name, :state
          passdate    :updated_at, :created_at
          passthrough :archive
          passarray   :tags, order_matters: false
          passthrough :mould_counter

          class_resolver :stages_class, "Ecoportal::API::V2::Registers::StagesResult"
          embeds_many    :stages, enum_class: :stages_class
        end

      end
    end
  end
end
