module Ecoportal
  module API
    class V2
      class Page
        class Component
          class Action < Common::Content::DoubleModel
            class << self
              def new_doc
                {
                  "id"         => new_uuid,
                  "weight"     => 99
                }
              end
            end

            passkey     :id
            passforced  :patch_ver, default: 1
            passthrough :name
            passthrough :weight, :other_information
            passboolean :complete

            passdate    :created_at, read_only: true #, :completed_at
            passthrough :created_by, read_only: true
            passthrough :assigned_person_member_id, :assigned_person_member

            passdate    :due_date, :reminder_date
            passboolean :overdue, read_only: true

            passthrough :duration_in_days, read_only: true
            passarray   :file_container_ids

          end
        end
      end
    end
  end
end
