module Ecoportal
  module API
    class V2
      class Page
        class Component
          class ChartField
            class Frequency < ChartField::Config
              passthrough :register_id, :source_type

              passthrough :mode, :input
              passarray   :tags, order_matters: false
              passthrough :secondary

              passthrough :output, :bar_mode
              passthrough :series_size
              passboolean :skip_zeroes

              passarray   :filters, :people_filters, :task_filters, order_matters: false

              passthrough :color
              passarray   :color_map, order_matters: false
            end
          end
        end
      end
    end
  end
end
