module Ecoportal
  module API
    class V2
      class Page
        class Component
          class ChartField
            class Heatmap < ChartField::Config
              passthrough :register_id, :source_type

              passthrough :xinput, :xmode
              passthrough :yinput, :ymode
              passarray   :xtags, :ytags

              passthrough :bucket_type

              passarray   :filters, :people_filters, :task_filters, order_matters: false

              passthrough :color
            end
          end
        end
      end
    end
  end
end
