module Ecoportal
  module API
    class V2
      class Page
        class Component
          class ChartField
            class Indicator < ChartField::Config
              passthrough :register_id, :source_type

              passthrough :date_input, :secondary
              passthrough :duration, :math_mode

              passboolean :currency, :display_previous, :invert_colors
              passthrough :change_format

              passarray   :filters, :people_filters, :task_filters, order_matters: false

              passthrough :color
            end
          end
        end
      end
    end
  end
end
