module Ecoportal
  module API
    class V2
      class Page
        class Component
          class ChartField
            class Sankey < ChartField::Config
              passthrough :register_id, :source_type

              passthrough :xinput, :xmode
              passthrough :yinput, :ymode
              passthrough :zinput, :zmode
              passarray   :xtags, :ytags, :ztags

              passarray   :filters, :people_filters, :task_filters, order_matters: false

              passthrough :color
              passarray   :color_map, order_matters: false
            end
          end
        end
      end
    end
  end
end
