module Ecoportal
  module API
    class V2
      class Page
        class Stages < Common::Content::CollectionModel
          class_resolver :stage_class, "Ecoportal::API::V2::Page::Stage"

          self.klass = :stage_class

          def get_by_name(name)
            self.find do |stage|
              same_string?(stage.name, name)
            end
          end

          #def ordered
          #  self.sort_by.with_index do |stage, index|
          #    [stage.ordering, index]
          #  end
          #end

        end
      end
    end
  end
end
